/*
@C:\web_637\sql\end_conv\oracle\clientes\grs\0046_DFEFUNO_CONSULTA_REL_FLUXO_PAG.SQL;
DFE > menu Relatrios > Relatrios de NFs > Romaneio de Notas Fiscais de Entrada >
Fluxo de Pagamento (Foodbuy) - Sinttico (DFE21198.qr2) / Analtico (DFE21199.qr2)
*/

DROP FUNCTION CONSULTA_REL_FLUXO_PAG
/
DROP TYPE RELFLUXO_TABLE
/
DROP TYPE RELFLUXO_TYPE
/
CREATE TYPE RELFLUXO_TYPE AS
OBJECT (CAPTURATOT FLOAT(126),
        VALORTOTAL FLOAT(126),
        VRNOTAFISC FLOAT(126),
        NRINSJURNF VARCHAR2(20),
        CDFILIRECE VARCHAR2(4),
        CDFILIAL VARCHAR2(4),
        NRLANCTONF VARCHAR2(10),
        NRNOTAFISC VARCHAR2(20),
        NRACESSONFE VARCHAR2(50),
        NRSEQITPROD VARCHAR2(4),
        NMRAZSOCFORN VARCHAR2(40),
        NMFILIAL VARCHAR2(30),
        CDFORNECED VARCHAR2(21),
        CDARVPROD VARCHAR2(20),
        NMPRODUTO VARCHAR2(50),
        QTITEMPROD FLOAT(126),
        NRAUTOFORN VARCHAR2(10),
        VRUNITNF FLOAT(126),
        VRUNITITEM FLOAT(126),
        VRDESCITEM FLOAT(126),
        QTPROGENTAF FLOAT(126),
        VRUNITAF FLOAT(126),
        QTNFRELACAF FLOAT(126),
        VRICMSST FLOAT(126),
        VRIPI FLOAT(126),
        VRFRETEXML FLOAT(126),
        VRSEGUROXML FLOAT(126),
        VRDESCXML FLOAT(126),
        VROUTDESPXML FLOAT(126));

/

CREATE TYPE RELFLUXO_TABLE AS
TABLE OF RELFLUXO_TYPE
/

CREATE OR REPLACE FUNCTION CONSULTA_REL_FLUXO_PAG
(P_CDFILIAL IN FILIAL.CDFILIAL%TYPE,
 P_CDFORNECEDOR IN FORNECEDOR.CDFORNECED%TYPE,
 P_CDTIPOOPER IN TIPOOPERAC.CDTIPOOPER%TYPE,
 P_DTINICIAL IN NOTAFISCAL.DTENTRSAID%TYPE,
 P_DTFINAL IN NOTAFISCAL.DTENTRSAID%TYPE,
 P_IDRELATORIO IN VARCHAR2 DEFAULT NULL) RETURN RELFLUXO_TABLE PIPELINED
IS
V_VRICMSST     FLOAT;
V_VRIPI        FLOAT;
V_VRFRETEXML   FLOAT;
V_VRSEGUROXML  FLOAT;
V_VRDESCXML    FLOAT;
V_VROUTDESPXML FLOAT;
V_CAPTURATOT   FLOAT;

OUT_RECORD RELFLUXO_TYPE := RELFLUXO_TYPE (NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL, NULL, NULL, NULL,
                                           NULL);
BEGIN
   IF (P_IDRELATORIO = 'A') THEN /*Analtico (DFE21199.qr2)*/
      FOR C_DADOS IN (SELECT N.VRNOTAFISC, N.NRINSJURNF, N.CDFILIRECE, N.CDFILIAL, N.NRLANCTONF, N.NRNOTAFISC, N.NRACESSONFE, IP.NRSEQITPROD,
                             F.NMRAZSOCFORN, FI.NMFILIAL, F.CDFORNECED, PR.CDARVPROD, PR.NMPRODUTO, IP.QTITEMPROD, AF.NRAUTOFORN,
                             ROUND((IP.VRUNITITEM - (IP.VRDESCITEM/IP.QTITEMPROD)),2) AS VRUNITNF, VRUNITITEM, VRDESCITEM,
                             DECODE(IP.NRAUTOFORN, NULL, 0, I.QTPROGENTAF) AS QTPROGENTAF, NF.QTNFRELACAF,
                             DECODE(IP.NRAUTOFORN, NULL, 0, ROUND((I.VRPREUNIAF - (NVL(I.VRDESCITMAF, 0)/DECODE(I.QTPROGENTAF, 0, 1, I.QTPROGENTAF))),2)) AS VRUNITAF
                        FROM NOTAFISCAL N, PARAMFORNE P, NFRELACAF NF,
                             AUTOFORNE AF, ITEMAUTF I, ITEMPRODUTO IP, PRODUTO PR,
                             (SELECT CDFILIAL, NMFILIAL
                                FROM FILIAL F
                               WHERE (INSTR(P_CDFILIAL, F.CDFILIAL) > 0) OR (NVL(P_CDFILIAL, 'T') = 'T')
                             ) FI,
                             (SELECT NMRAZSOCFORN, CDFORNECED
                                FROM FORNECEDOR F1
                               WHERE (INSTR(P_CDFORNECEDOR, F1.CDFORNECED) > 0) OR (NVL(P_CDFORNECEDOR, 'T') = 'T')
                             ) F
                       WHERE N.DTENTRSAID BETWEEN P_DTINICIAL AND P_DTFINAL
                         AND ((INSTR(P_CDTIPOOPER,N.CDTIPOOPER) > 0) OR (P_CDTIPOOPER = 'T'))
                         AND N.CDFILIAL     = NF.CDFILIAL
                         AND N.NRLANCTONF   = NF.NRLANCTONF
                         AND AF.NRAUTOFORN  = NF.NRAUTOFORN
                         AND AF.CDFILDEST   = NF.CDFILDEST
                         AND AF.CDFILLANC   = NF.CDFILLANC
                         AND AF.CDFORNECED  = F.CDFORNECED
                         AND N.IDENTRSAIDOP = 'E'
                         AND N.CDFORNECED   = F.CDFORNECED
                         AND N.CDFILIRECE   = FI.CDFILIAL
                         AND P.CDFORNECED   = F.CDFORNECED
                         AND NVL(P.IDPROCNOTADEBCRE, 'N') = 'S'
                         AND AF.NRAUTOFORN  = I.NRAUTOFORN
                         AND AF.CDFILDEST   = I.CDFILDEST
                         AND AF.CDFILLANC   = I.CDFILLANC
                         AND NF.NRAUTOFORN  = I.NRAUTOFORN
                         AND NF.CDFILDEST   = I.CDFILDEST
                         AND NF.CDFILLANC   = I.CDFILLANC
                         AND NF.CDPRODUTO   = I.CDPRODUTO
                         AND IP.CDFILIAL    = NF.CDFILIAL
                         AND NF.NRLANCTONF  = IP.NRLANCTONF
                         AND NF.CDPRODUTO   = IP.CDPRODUTO
                         AND IP.CDPRODUTO   = PR.CDPRODUTO) LOOP
         BEGIN
            SELECT ROUND((NVL(VRIMPOSTOIT, 0)/C_DADOS.QTITEMPROD), 2) AS VRIMPOSTOIT
              INTO V_VRICMSST
              FROM ITEMPROIMPOS I
             WHERE CDFILIAL = C_DADOS.CDFILIAL
               AND NRLANCTONF = C_DADOS.NRLANCTONF
               AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_DADOS.NRSEQITPROD, 4, '0')
               AND CDIMPOSTO = '99'
               AND NRITPROIMPOS = '1';
         EXCEPTION
            WHEN NO_DATA_FOUND THEN BEGIN
               V_VRICMSST := 0;
            END;
         END;
         BEGIN
            SELECT ROUND((NVL(VRIMPOSTOIT, 0)/C_DADOS.QTITEMPROD), 2) AS VRIMPOSTOIT
              INTO V_VRIPI
              FROM ITEMPROIMPOS I
             WHERE CDFILIAL = C_DADOS.CDFILIAL
               AND NRLANCTONF = C_DADOS.NRLANCTONF
               AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_DADOS.NRSEQITPROD, 4, '0')
               AND CDIMPOSTO = '10'
               AND NRITPROIMPOS = '1';
         EXCEPTION
            WHEN NO_DATA_FOUND THEN BEGIN
               V_VRIPI := 0;
            END;
         END;
         BEGIN
            SELECT VRFRETEITEMXML, VRSEGURITEMXML, VRENCDESCXML, VROUTRASDESPXML
              INTO V_VRFRETEXML, V_VRSEGUROXML, V_VRDESCXML, V_VROUTDESPXML
              FROM INTG_ITEMPRODUTO I
             WHERE NRACESSONFE = C_DADOS.NRACESSONFE
               AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_DADOS.NRSEQITPROD, 4, '0');
         EXCEPTION
            WHEN NO_DATA_FOUND THEN BEGIN
               V_VRFRETEXML   := 0;
               V_VRSEGUROXML  := 0;
               V_VRDESCXML    := 0;
               V_VROUTDESPXML := 0;
            END;
         END;
         IF (V_VRFRETEXML IS NULL) OR (V_VRFRETEXML = '') THEN
            V_VRFRETEXML := 0;
         ELSIF (V_VRFRETEXML > 0) THEN
            V_VRFRETEXML := ROUND(V_VRFRETEXML / C_DADOS.QTITEMPROD, 2);
            IF (V_VRFRETEXML < 0) THEN
               V_VRFRETEXML := 0;
            END IF;
         END IF;
         IF (V_VRSEGUROXML IS NULL) OR (V_VRSEGUROXML = '') THEN
            V_VRSEGUROXML := 0;
         ELSIF (V_VRSEGUROXML > 0) THEN
            V_VRSEGUROXML := ROUND(V_VRSEGUROXML / C_DADOS.QTITEMPROD, 2);
            IF (V_VRSEGUROXML < 0) THEN
               V_VRSEGUROXML := 0;
            END IF;
         END IF;
         IF (V_VRDESCXML IS NULL) OR (V_VRDESCXML = '') THEN
            V_VRDESCXML := 0;
         ELSIF (V_VRDESCXML > 0) THEN
            V_VRDESCXML := ROUND(V_VRDESCXML / C_DADOS.QTITEMPROD, 2);
            IF (V_VRDESCXML < 0) THEN
               V_VRDESCXML := 0;
            END IF;
         END IF;
         IF (V_VROUTDESPXML IS NULL) OR (V_VROUTDESPXML = '') THEN
            V_VROUTDESPXML := 0;
         ELSIF (V_VROUTDESPXML > 0) THEN
            V_VROUTDESPXML := ROUND(V_VROUTDESPXML / C_DADOS.QTITEMPROD, 2);
            IF (V_VROUTDESPXML < 0) THEN
               V_VROUTDESPXML := 0;
            END IF;
         END IF;
         OUT_RECORD.VALORTOTAL := NULL;
         OUT_RECORD.CAPTURATOT := NULL;
         OUT_RECORD.VRNOTAFISC := C_DADOS.VRNOTAFISC;
         OUT_RECORD.NRINSJURNF := C_DADOS.NRINSJURNF;
         OUT_RECORD.CDFILIRECE := C_DADOS.CDFILIRECE;
         OUT_RECORD.CDFILIAL := C_DADOS.CDFILIAL;
         OUT_RECORD.NRLANCTONF := C_DADOS.NRLANCTONF;
         OUT_RECORD.NRNOTAFISC := C_DADOS.NRNOTAFISC;
         OUT_RECORD.NRACESSONFE := C_DADOS.NRACESSONFE;
         OUT_RECORD.NRSEQITPROD := C_DADOS.NRSEQITPROD;
         OUT_RECORD.NMRAZSOCFORN := C_DADOS.NMRAZSOCFORN;
         OUT_RECORD.NMFILIAL := C_DADOS.NMFILIAL;
         OUT_RECORD.CDFORNECED := C_DADOS.CDFORNECED;
         OUT_RECORD.CDARVPROD := C_DADOS.CDARVPROD;
         OUT_RECORD.NMPRODUTO := C_DADOS.NMPRODUTO;
         OUT_RECORD.QTITEMPROD := C_DADOS.QTITEMPROD;
         OUT_RECORD.NRAUTOFORN := C_DADOS.NRAUTOFORN;
         OUT_RECORD.VRUNITNF := C_DADOS.VRUNITNF;
         OUT_RECORD.VRUNITITEM := C_DADOS.VRUNITITEM;
         OUT_RECORD.VRDESCITEM := C_DADOS.VRDESCITEM;
         OUT_RECORD.QTPROGENTAF := C_DADOS.QTPROGENTAF;
         OUT_RECORD.VRUNITAF := C_DADOS.VRUNITAF;
         OUT_RECORD.QTNFRELACAF := C_DADOS.QTNFRELACAF;
         OUT_RECORD.VRICMSST := V_VRICMSST;
         OUT_RECORD.VRIPI := V_VRIPI;
         OUT_RECORD.VRFRETEXML := V_VRFRETEXML;
         OUT_RECORD.VRSEGUROXML := V_VRSEGUROXML;
         OUT_RECORD.VRDESCXML := V_VRDESCXML;
         OUT_RECORD.VROUTDESPXML := V_VROUTDESPXML;
         PIPE ROW (OUT_RECORD);
      END LOOP;
   ELSIF (P_IDRELATORIO = 'S') THEN /*Sinttico (DFE21198.qr2)*/
      FOR C_DADOS IN (SELECT SUM(VRNOTAFISC) AS VALORTOTAL, NRINSJURNF, CDFILIRECE, NMRAZSOCFORN, NMFILIAL, CDFORNECED
                        FROM (SELECT N.VRNOTAFISC, N.NRINSJURNF, N.CDFILIRECE,
                                     F.NMRAZSOCFORN, FI.NMFILIAL, F.CDFORNECED
                                FROM NOTAFISCAL N, PARAMFORNE P, NFRELACAF NF,
                                     AUTOFORNE AF, ITEMAUTF I, ITEMPRODUTO IP, PRODUTO PR,
                                     (SELECT CDFILIAL, NMFILIAL
                                        FROM FILIAL F
                                       WHERE (INSTR(P_CDFILIAL, F.CDFILIAL) > 0) OR (NVL(P_CDFILIAL, 'T') = 'T')
                                     ) FI,
                                     (SELECT NMRAZSOCFORN, CDFORNECED
                                        FROM FORNECEDOR F1
                                       WHERE (INSTR(P_CDFORNECEDOR, F1.CDFORNECED) > 0) OR (NVL(P_CDFORNECEDOR, 'T') = 'T')
                                     ) F
                               WHERE N.DTENTRSAID BETWEEN P_DTINICIAL AND P_DTFINAL
                                 AND ((INSTR(P_CDTIPOOPER, N.CDTIPOOPER) > 0) OR (P_CDTIPOOPER = 'T'))
                                 AND N.CDFILIAL     = NF.CDFILIAL
                                 AND N.NRLANCTONF   = NF.NRLANCTONF
                                 AND AF.NRAUTOFORN  = NF.NRAUTOFORN
                                 AND AF.CDFILDEST   = NF.CDFILDEST
                                 AND AF.CDFILLANC   = NF.CDFILLANC
                                 AND AF.CDFORNECED  = F.CDFORNECED
                                 AND N.IDENTRSAIDOP = 'E'
                                 AND N.CDFORNECED   = F.CDFORNECED
                                 AND N.CDFILIRECE   = FI.CDFILIAL
                                 AND P.CDFORNECED   = F.CDFORNECED
                                 AND NVL(IDPROCNOTADEBCRE, 'N') = 'S'
                                 AND AF.NRAUTOFORN  = I.NRAUTOFORN
                                 AND AF.CDFILDEST   = I.CDFILDEST
                                 AND AF.CDFILLANC   = I.CDFILLANC
                                 AND NF.NRAUTOFORN  = I.NRAUTOFORN
                                 AND NF.CDFILDEST   = I.CDFILDEST
                                 AND NF.CDFILLANC   = I.CDFILLANC
                                 AND NF.CDPRODUTO   = I.CDPRODUTO
                                 AND IP.CDFILIAL    = NF.CDFILIAL
                                 AND NF.NRLANCTONF  = IP.NRLANCTONF
                                 AND NF.CDPRODUTO   = IP.CDPRODUTO
                                 AND IP.CDPRODUTO   = PR.CDPRODUTO
                              GROUP BY N.VRNOTAFISC, N.NRINSJURNF, N.CDFILIRECE,
                                     F.NMRAZSOCFORN, FI.NMFILIAL, F.CDFORNECED
                               ORDER BY N.CDFILIRECE)
                      GROUP BY NRINSJURNF, CDFILIRECE, NMRAZSOCFORN, NMFILIAL, CDFORNECED
                      ORDER BY CDFILIRECE) LOOP
         V_CAPTURATOT := 0;
         FOR C_VALORES IN (SELECT N.CDFILIAL, N.NRLANCTONF, N.NRACESSONFE, IP.NRSEQITPROD, IP.QTITEMPROD,
                                  ROUND((IP.VRUNITITEM - (IP.VRDESCITEM/IP.QTITEMPROD)),2) AS VRUNITNF,
                                  DECODE(IP.NRAUTOFORN, NULL, 0, ROUND((I.VRPREUNIAF - (NVL(I.VRDESCITMAF, 0)/DECODE(I.QTPROGENTAF, 0, 1, I.QTPROGENTAF))),2)) AS VRUNITAF
                             FROM NOTAFISCAL N, PARAMFORNE P, NFRELACAF NF,
                                  AUTOFORNE AF, ITEMAUTF I, ITEMPRODUTO IP, PRODUTO PR
                            WHERE N.DTENTRSAID BETWEEN P_DTINICIAL AND P_DTFINAL
                              AND ((INSTR(P_CDTIPOOPER, N.CDTIPOOPER) > 0) OR (P_CDTIPOOPER = 'T'))
                              AND N.CDFILIAL     = NF.CDFILIAL
                              AND N.NRLANCTONF   = NF.NRLANCTONF
                              AND AF.NRAUTOFORN  = NF.NRAUTOFORN
                              AND AF.CDFILDEST   = NF.CDFILDEST
                              AND AF.CDFILLANC   = NF.CDFILLANC
                              AND AF.CDFORNECED  = C_DADOS.CDFORNECED
                              AND N.IDENTRSAIDOP = 'E'
                              AND N.CDFORNECED   = C_DADOS.CDFORNECED
                              AND N.CDFILIRECE   = C_DADOS.CDFILIRECE
                              AND P.CDFORNECED   = C_DADOS.CDFORNECED
                              AND NVL(P.IDPROCNOTADEBCRE, 'N') = 'S'
                              AND AF.NRAUTOFORN  = I.NRAUTOFORN
                              AND AF.CDFILDEST   = I.CDFILDEST
                              AND AF.CDFILLANC   = I.CDFILLANC
                              AND NF.NRAUTOFORN  = I.NRAUTOFORN
                              AND NF.CDFILDEST   = I.CDFILDEST
                              AND NF.CDFILLANC   = I.CDFILLANC
                              AND NF.CDPRODUTO   = I.CDPRODUTO
                              AND IP.CDFILIAL    = NF.CDFILIAL
                              AND NF.NRLANCTONF  = IP.NRLANCTONF
                              AND NF.CDPRODUTO   = IP.CDPRODUTO
                              AND IP.CDPRODUTO   = PR.CDPRODUTO) LOOP
            BEGIN
               SELECT ROUND((NVL(VRIMPOSTOIT, 0)/C_VALORES.QTITEMPROD), 2) AS VRIMPOSTOIT
                 INTO V_VRICMSST
                 FROM ITEMPROIMPOS I
                WHERE CDFILIAL = C_VALORES.CDFILIAL
                  AND NRLANCTONF = C_VALORES.NRLANCTONF
                  AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_VALORES.NRSEQITPROD, 4, '0')
                  AND CDIMPOSTO = '99'
                  AND NRITPROIMPOS = '1';
            EXCEPTION
               WHEN NO_DATA_FOUND THEN BEGIN
                  V_VRICMSST := 0;
               END;
            END;
            BEGIN
               SELECT ROUND((NVL(VRIMPOSTOIT, 0)/C_VALORES.QTITEMPROD), 2) AS VRIMPOSTOIT
                 INTO V_VRIPI
                 FROM ITEMPROIMPOS I
                WHERE CDFILIAL = C_VALORES.CDFILIAL
                  AND NRLANCTONF = C_VALORES.NRLANCTONF
                  AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_VALORES.NRSEQITPROD, 4, '0')
                  AND CDIMPOSTO = '10'
                  AND NRITPROIMPOS = '1';
            EXCEPTION
               WHEN NO_DATA_FOUND THEN BEGIN
                  V_VRIPI := 0;
               END;
            END;
            BEGIN
               SELECT VRFRETEITEMXML, VRSEGURITEMXML, VRENCDESCXML, VROUTRASDESPXML
                 INTO V_VRFRETEXML, V_VRSEGUROXML, V_VRDESCXML, V_VROUTDESPXML
                 FROM INTG_ITEMPRODUTO I
                WHERE NRACESSONFE = C_VALORES.NRACESSONFE
                  AND LPAD(NRSEQITPROD, 4, '0') = LPAD(C_VALORES.NRSEQITPROD, 4, '0');
            EXCEPTION
               WHEN NO_DATA_FOUND THEN BEGIN
                  V_VRFRETEXML   := 0;
                  V_VRSEGUROXML  := 0;
                  V_VRDESCXML    := 0;
                  V_VROUTDESPXML := 0;
               END;
            END;
            IF (V_VRFRETEXML IS NULL) OR (V_VRFRETEXML = '') THEN
               V_VRFRETEXML := 0;
            ELSIF (V_VRFRETEXML > 0) THEN
               V_VRFRETEXML := ROUND(V_VRFRETEXML / C_VALORES.QTITEMPROD, 2);
               IF (V_VRFRETEXML < 0) THEN
                  V_VRFRETEXML := 0;
               END IF;
            END IF;
            IF (V_VRSEGUROXML IS NULL) OR (V_VRSEGUROXML = '') THEN
               V_VRSEGUROXML := 0;
            ELSIF (V_VRSEGUROXML > 0) THEN
               V_VRSEGUROXML := ROUND(V_VRSEGUROXML / C_VALORES.QTITEMPROD, 2);
               IF (V_VRSEGUROXML < 0) THEN
                  V_VRSEGUROXML := 0;
               END IF;
            END IF;
            IF (V_VRDESCXML IS NULL) OR (V_VRDESCXML = '') THEN
               V_VRDESCXML := 0;
            ELSIF (V_VRDESCXML > 0) THEN
               V_VRDESCXML := ROUND(V_VRDESCXML / C_VALORES.QTITEMPROD, 2);
               IF (V_VRDESCXML < 0) THEN
                  V_VRDESCXML := 0;
               END IF;
            END IF;
            IF (V_VROUTDESPXML IS NULL) OR (V_VROUTDESPXML = '') THEN
               V_VROUTDESPXML := 0;
            ELSIF (V_VROUTDESPXML > 0) THEN
               V_VROUTDESPXML := ROUND(V_VROUTDESPXML / C_VALORES.QTITEMPROD, 2);
               IF (V_VROUTDESPXML < 0) THEN
                  V_VROUTDESPXML := 0;
               END IF;
            END IF;
            V_CAPTURATOT := V_CAPTURATOT + (ROUND(C_VALORES.QTITEMPROD * (ROUND(C_VALORES.VRUNITNF + V_VRICMSST + V_VRIPI + (V_VRFRETEXML + V_VRSEGUROXML + V_VROUTDESPXML - V_VRDESCXML), 2) - C_VALORES.VRUNITAF), 2));
         END LOOP;
         OUT_RECORD.VALORTOTAL := C_DADOS.VALORTOTAL;
         OUT_RECORD.CAPTURATOT := V_CAPTURATOT;
         OUT_RECORD.VRNOTAFISC := NULL;
         OUT_RECORD.NRINSJURNF := C_DADOS.NRINSJURNF;
         OUT_RECORD.CDFILIRECE := C_DADOS.CDFILIRECE;
         OUT_RECORD.CDFILIAL := NULL;
         OUT_RECORD.NRLANCTONF := NULL;
         OUT_RECORD.NRNOTAFISC := NULL;
         OUT_RECORD.NRACESSONFE := NULL;
         OUT_RECORD.NRSEQITPROD := NULL;
         OUT_RECORD.NMRAZSOCFORN := C_DADOS.NMRAZSOCFORN;
         OUT_RECORD.NMFILIAL := C_DADOS.NMFILIAL;
         OUT_RECORD.CDFORNECED := NULL;
         OUT_RECORD.CDARVPROD := NULL;
         OUT_RECORD.NMPRODUTO := NULL;
         OUT_RECORD.QTITEMPROD := NULL;
         OUT_RECORD.NRAUTOFORN := NULL;
         OUT_RECORD.VRUNITNF := NULL;
         OUT_RECORD.VRUNITITEM := NULL;
         OUT_RECORD.VRDESCITEM := NULL;
         OUT_RECORD.QTPROGENTAF := NULL;
         OUT_RECORD.VRUNITAF := NULL;
         OUT_RECORD.QTNFRELACAF := NULL;
         OUT_RECORD.VRICMSST := NULL;
         OUT_RECORD.VRIPI := NULL;
         OUT_RECORD.VRFRETEXML := NULL;
         OUT_RECORD.VRSEGUROXML := NULL;
         OUT_RECORD.VRDESCXML := NULL;
         OUT_RECORD.VROUTDESPXML := NULL;
         PIPE ROW (OUT_RECORD);
      END LOOP;
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CONSULTA_REL_FLUXO_PAG','6.37.020'); END;
/
