/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Pedidos                                                                    */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: 2804_EXPTRGS_ATUALIZA_STATUS_GRADE                                   */
/*                                                                            */
/* Descrio:                                                                 */
/* Atualizar o status da grade de distribuio                                */
/*                                                                            */
/* Criao:                                                                   */
/* 26/05/2009 - Welbert Gonalves Moitinha                                    */
/******************************************************************************/

IF EXISTS (SELECT *
           FROM SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'ATUALIZA_STATUS_GRADE'
              AND TYPE = 'TR'
              AND U.UID = O.UID
              AND U.NAME = USER)
   DROP TRIGGER ATUALIZA_STATUS_GRADE;
GO

CREATE TRIGGER ATUALIZA_STATUS_GRADE
ON NOTAFISCAL FOR UPDATE AS
   DECLARE @V_IDREPLITRANS VARCHAR(1);
   DECLARE @V_NRGRADEDISTR VARCHAR(10);
   DECLARE @V_CDVIATURA VARCHAR(6);
   DECLARE @V_COUNT INT;
   DECLARE @V_CDFILIAL_NEW   VARCHAR(4);
   DECLARE @V_NRLANCTONF_NEW VARCHAR(10);
   DECLARE @V_NREXPEDICAO_NEW VARCHAR(10);
   DECLARE @V_IDSTATUS_NEW VARCHAR(1);
   DECLARE @V_CDFILIAL_OLD VARCHAR(4);
   DECLARE @V_NRLANCTONF_OLD VARCHAR(10);
   DECLARE @V_NREXPEDICAO_OLD VARCHAR(10);
   DECLARE @V_IDSTATUS_OLD VARCHAR(1);
   DECLARE @V_NRPEDIDO VARCHAR(10);
   DECLARE @V_NRITEMPED VARCHAR(10);
   DECLARE @V_CDFILIALPED VARCHAR(4)
BEGIN

   DECLARE C_CURSOR CURSOR FOR
      SELECT
         INSERTED.CDFILIAL,
         INSERTED.NRLANCTONF,
         INSERTED.NREXPEDICAO,
         INSERTED.IDSTATUS,

         DELETED.CDFILIAL,
         DELETED.NRLANCTONF,
         DELETED.NREXPEDICAO,
         DELETED.IDSTATUS
      FROM
         INSERTED,
         DELETED
      WHERE
         INSERTED.CDFILIAL   = DELETED.CDFILIAL AND
         INSERTED.NRLANCTONF = DELETED.NRLANCTONF

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_CDFILIAL_NEW,
                                 @V_NRLANCTONF_NEW,
                                 @V_NREXPEDICAO_NEW,
                                 @V_IDSTATUS_NEW,
                                 @V_CDFILIAL_OLD,
                                 @V_NRLANCTONF_OLD,
                                 @V_NREXPEDICAO_OLD,
                                 @V_IDSTATUS_OLD;


   WHILE (@@FETCH_STATUS = 0) BEGIN

      SELECT @V_IDREPLITRANS = MAX(IDREPLITRANS)
      FROM PAREXPEDICAO
      WHERE
         CDFILIAL = ISNULL(@V_CDFILIAL_OLD, @V_CDFILIAL_NEW);

      IF (@V_IDREPLITRANS = '3')BEGIN

   /* BUSCA A GRADE E A VIATURA */
         SELECT @V_NRGRADEDISTR = MAX(NRGRADEDISTR), @V_CDVIATURA= MAX(CDVIATURA)
         FROM EXPEDICAO
         WHERE
            CDFILIAL =  ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
            NREXPEDICAO = ISNULL( @V_NREXPEDICAO_NEW, @V_NREXPEDICAO_OLD);

         IF (@V_NRGRADEDISTR IS NOT NULL) AND (@V_CDVIATURA IS NOT NULL) BEGIN

            IF(@V_IDSTATUS_NEW = 'A')OR(@V_IDSTATUS_NEW = 'E')BEGIN
   /* ATUALIZA OS ITENS DA GRADE */

               DECLARE C_ITEM CURSOR FOR
                           SELECT  NRPEDIDO, NRITEMPED, CDFILIALPED
                           FROM ITEMPRODUTO
                           WHERE
                              CDFILIAL =  ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
                              NRLANCTONF = ISNULL( @V_NRLANCTONF_NEW, @V_NRLANCTONF_OLD);


               OPEN C_ITEM;
               FETCH NEXT FROM C_ITEM INTO @V_NRPEDIDO, @V_NRITEMPED, @V_CDFILIALPED;

               WHILE (@@FETCH_STATUS = 0) BEGIN

                  UPDATE ITGRADEDISTR
                  SET IDSTATUSITGR = 'E'
                  WHERE
                     CDFILIAL = @V_CDFILIALPED AND
                     NRGRADEDISTR = @V_NRGRADEDISTR AND
                     NRPEDIDO = @V_NRPEDIDO AND
                     NRITEMPED = @V_NRITEMPED AND
                     CDVIATURA = @V_CDVIATURA;

                  FETCH NEXT FROM C_ITEM INTO  @V_NRPEDIDO, @V_NRITEMPED, @V_CDFILIALPED;
               END;
               CLOSE      C_ITEM;
               DEALLOCATE C_ITEM;

   /* VERIFICA SE TODOS OS ITENS FORAM ENTREGUES*/
               SELECT @V_COUNT = COUNT(*)
                 FROM ITGRADEDISTR
                WHERE
                   CDFILIAL = ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
                   NRGRADEDISTR = @V_NRGRADEDISTR AND
                   IDSTATUSITGR = 'A';

               IF(@V_COUNT = 0) BEGIN
                  UPDATE GRADEDISTR
                  SET IDSTATUSGRADE = 'E'
                  WHERE
                     CDFILIAL = ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
                     NRGRADEDISTR = @V_NRGRADEDISTR;
               END;
            END
            ELSE BEGIN
               IF(@V_IDSTATUS_NEW = 'P') AND((@V_IDSTATUS_OLD = 'A')OR( @V_IDSTATUS_OLD ='E')) BEGIN

                  DECLARE C_ITEM CURSOR FOR
                              SELECT  NRPEDIDO, NRITEMPED, CDFILIALPED
                              FROM ITEMPRODUTO
                              WHERE
                                 CDFILIAL =  ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
                                 NRLANCTONF = ISNULL( @V_NRLANCTONF_NEW, @V_NRLANCTONF_OLD);


                  OPEN C_ITEM;
                  FETCH NEXT FROM C_ITEM INTO @V_NRPEDIDO, @V_NRITEMPED, @V_CDFILIALPED;

                  WHILE (@@FETCH_STATUS = 0) BEGIN

                     UPDATE ITGRADEDISTR
                     SET IDSTATUSITGR = 'A'
                     WHERE
                        CDFILIAL = @V_CDFILIALPED AND
                        NRGRADEDISTR = @V_NRGRADEDISTR AND
                        NRPEDIDO = @V_NRPEDIDO AND
                        NRITEMPED = @V_NRITEMPED AND
                        CDVIATURA = @V_CDVIATURA;

                     FETCH NEXT FROM C_ITEM INTO  @V_NRPEDIDO, @V_NRITEMPED, @V_CDFILIALPED;
                  END;
                  CLOSE      C_ITEM;
                  DEALLOCATE C_ITEM;

                  UPDATE GRADEDISTR
                  SET IDSTATUSGRADE = 'A'
                  WHERE
                     CDFILIAL = ISNULL( @V_CDFILIAL_OLD, @V_CDFILIAL_NEW) AND
                     NRGRADEDISTR = @V_NRGRADEDISTR;
               END;
            END;
         END;
      END;
      FETCH NEXT FROM C_CURSOR INTO @V_CDFILIAL_NEW,
                                 @V_NRLANCTONF_NEW,
                                 @V_NREXPEDICAO_NEW,
                                 @V_IDSTATUS_NEW,
                                 @V_CDFILIAL_OLD,
                                 @V_NRLANCTONF_OLD,
                                 @V_NREXPEDICAO_OLD,
                                 @V_IDSTATUS_OLD;
   END;

   CLOSE C_CURSOR;
   DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'ATUALIZA_STATUS_GRADE','5.07.000';
GO

