<?php
namespace tests\Zeedhi\Tools\DatabaseReader;

use Zeedhi\Tools\DatabaseReader\DatabaseReader;

class DatabaseReaderTest extends \PHPUnit_Framework_TestCase {

    public function testFactoryFromConnection() {
        $connectionToRead = \Doctrine\DBAL\DriverManager::getConnection(array(
            'driver'    => 'oci8',
            'user'      => 'USR_ORG_20',
            'password'  => 'teknisa',
            'host'      => '192.168.122.5',
            'port'      => '1521',
            'dbname'    => 'pdborcl'
        ));

        $dbReader = DatabaseReader::factoryFromConnection($connectionToRead);
        $this->assertInstanceOf("\\Zeedhi\\Tools\\DatabaseReader\\DatabaseReader", $dbReader, "DbReader must be a instance of Db Reader.");
    }

    public function testUnsupportedConnection() {
        // Note that this test will start to failure when this database driver(pdo_ibm) start to be supported.
        $this->setExpectedException("\\Zeedhi\\Tools\\DatabaseReader\\Exception", "Connection driver sqlanywhere not supported.");
        $connectionToRead = \Doctrine\DBAL\DriverManager::getConnection(array(
            'dbname' => 'mydb',
            'user' => 'user',
            'password' => 'secret',
            'host' => 'localhost',
            'driver' => 'sqlanywhere',
        ));

        DatabaseReader::factoryFromConnection($connectionToRead);
    }
}
